# Interface DropShadowEffectFunctionJson

An Effect Function for the drop-shadow effect.

interface DropShadowEffectFunctionJson {
blurRadius?: number;
color?: ColorJson;
type: "drop-shadow";
xoffset?: number;
yoffset?: number;
}

#####
Index

### Properties

blurRadius?
color?
type
xoffset?
yoffset?

##
Properties

### `Optional` blurRadius

blurRadius?: number

The radius of the blur in points. It defines the value of the standard deviation to the Gaussian function.

### `Optional` color

color?: ColorJson

Color is represented as a four-element array. The four elements represent values for red, green, blue, and alpha in that order. Values range from 0 through 255.

### type

type

Effect type.

### `Optional` xoffset

xoffset?: number

The distance of the shadow on the x-axis in points.

### `Optional` yoffset

yoffset?: number

The distance of the shadow on the y-axis in points.